canl_mod_ssl-private.h File Reference
module AP_MODULE_DECLARE_DATA

Go to the source code of this file.

## Data Structures

struct | SSLConnRec
struct | modssl_auth_ctx_t
struct | modssl_ctx_t
struct | SSLSrvConfigRec
struct | SSLSrvConfigRec2
struct | SSLDirConfigRec

## Enumerations

enum | ssl_shutdown_type_e { SSL_SHUTDOWN_TYPE_UNSET , SSL_SHUTDOWN_TYPE_STANDARD , SSL_SHUTDOWN_TYPE_UNCLEAN , SSL_SHUTDOWN_TYPE_ACCURATE }
enum | ssl_enabled_t { SSL_ENABLED_UNSET = -1 , SSL_ENABLED_FALSE = 0 , SSL_ENABLED_TRUE = 1 , SSL_ENABLED_OPTIONAL = 3 }
enum | ssl_verify_t { SSL_CVERIFY_UNSET = -1 , SSL_CVERIFY_NONE = 0 , SSL_CVERIFY_OPTIONAL = 1 , SSL_CVERIFY_REQUIRE = 2 , SSL_CVERIFY_OPTIONAL_NO_CA = 3 }

## Enumeration Type Documentation

## ssl_enabled_t

enum ssl_enabled_t

Enumerator
SSL_ENABLED_UNSET |
SSL_ENABLED_FALSE |
SSL_ENABLED_TRUE |
SSL_ENABLED_OPTIONAL |

## ssl_shutdown_type_e

enum ssl_shutdown_type_e

Enumerator
SSL_SHUTDOWN_TYPE_UNSET |
SSL_SHUTDOWN_TYPE_STANDARD |
SSL_SHUTDOWN_TYPE_UNCLEAN |
SSL_SHUTDOWN_TYPE_ACCURATE |

## ssl_verify_t

enum ssl_verify_t

Enumerator
SSL_CVERIFY_UNSET |
SSL_CVERIFY_NONE |
SSL_CVERIFY_OPTIONAL |
SSL_CVERIFY_REQUIRE |
SSL_CVERIFY_OPTIONAL_NO_CA |